Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » [SOLVED] Can't open Eclipse java-mars on Ubuntu x64
icon14.gif  [SOLVED] Can't open Eclipse java-mars on Ubuntu x64 [message #1735657] Tue, 21 June 2016 16:32 Go to next message
Algorythmis Sigma is currently offline Algorythmis SigmaFriend
Messages: 3
Registered: June 2016
Junior Member
Hello.

I have just downloaded and installed Eclipse java-mars from the official installer. I'm running Oracle JDK 1.8.0_92 on Ubuntu 16.04 x64.

When I try to start Eclipse, I get an error. The .log file contains this :

!SESSION Tue Jun 21 18:23:12 CEST 2016 -----------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2016-06-21 18:23:12.079
!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.compatibility.state_1.0.100.v20150402-1551.jar
!ENTRY org.eclipse.equinox.launcher 4 0 2016-06-21 18:23:12.491
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
	at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:666)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1515)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1488)


I get the same error when trying to start Eclipse php-mars.
What can I do?
I have already read the post-its but I'm not able to find simple instructions.

Thanks,
A.

[Updated on: Wed, 22 June 2016 18:26]

Report message to a moderator

Re: Can't open Eclipse java-mars on Ubuntu x64 [message #1735670 is a reply to message #1735657] Tue, 21 June 2016 20:06 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29545
Registered: July 2009
Senior Member
Did you just download and use the Mars installer? Or did you update the
installer first?


On 21.06.2016 14:00, Algorythmis Sigma wrote:
> Hello.
>
> I have just downloaded and installed Eclipse java-mars from the
> official installer. I'm running Oracle JDK 1.8.0_92 on Ubuntu 16.04 x64.
>
> When I try to start Eclipse, I get an error. The .log file contains
> this :
>
> !SESSION Tue Jun 21 18:23:12 CEST 2016
> -----------------------------------------
> !ENTRY org.eclipse.equinox.launcher 4 0 2016-06-21 18:23:12.079
> !MESSAGE Could not find extension:
> reference:file:org.eclipse.osgi.compatibility.state_1.0.100.v20150402-1551.jar
> !ENTRY org.eclipse.equinox.launcher 4 0 2016-06-21 18:23:12.491
> !MESSAGE Exception launching the Eclipse Platform:
> !STACK
> java.lang.ClassNotFoundException:
> org.eclipse.core.runtime.adaptor.EclipseStarter
> at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:666)
> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)
> at org.eclipse.equinox.launcher.Main.run(Main.java:1515)
> at org.eclipse.equinox.launcher.Main.main(Main.java:1488)
>
>
> I get the same error when trying to start Eclipse php-mars.
> What can I do?
> I have already read the post-its but I'm not able to find simple
> instructions.
>
> Thanks,
> A.
Re: Can't open Eclipse java-mars on Ubuntu x64 [message #1735671 is a reply to message #1735670] Tue, 21 June 2016 20:07 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29545
Registered: July 2009
Senior Member
Also, could you paste the contents of the <eclipse>/eclipse.ini as well
as the contents of the <eclipse>/configuratation/config.ini?


On 21.06.2016 16:06, Ed Merks wrote:
> Did you just download and use the Mars installer? Or did you update
> the installer first?
>
>
> On 21.06.2016 14:00, Algorythmis Sigma wrote:
>> Hello.
>>
>> I have just downloaded and installed Eclipse java-mars from the
>> official installer. I'm running Oracle JDK 1.8.0_92 on Ubuntu 16.04 x64.
>>
>> When I try to start Eclipse, I get an error. The .log file contains
>> this :
>>
>> !SESSION Tue Jun 21 18:23:12 CEST 2016
>> -----------------------------------------
>> !ENTRY org.eclipse.equinox.launcher 4 0 2016-06-21 18:23:12.079
>> !MESSAGE Could not find extension:
>> reference:file:org.eclipse.osgi.compatibility.state_1.0.100.v20150402-1551.jar
>> !ENTRY org.eclipse.equinox.launcher 4 0 2016-06-21 18:23:12.491
>> !MESSAGE Exception launching the Eclipse Platform:
>> !STACK
>> java.lang.ClassNotFoundException:
>> org.eclipse.core.runtime.adaptor.EclipseStarter
>> at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
>> at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
>> at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
>> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:666)
>> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)
>> at org.eclipse.equinox.launcher.Main.run(Main.java:1515)
>> at org.eclipse.equinox.launcher.Main.main(Main.java:1488)
>>
>>
>> I get the same error when trying to start Eclipse php-mars.
>> What can I do?
>> I have already read the post-its but I'm not able to find simple
>> instructions.
>>
>> Thanks,
>> A.
>
Re: Can't open Eclipse java-mars on Ubuntu x64 [message #1735792 is a reply to message #1735670] Wed, 22 June 2016 18:12 Go to previous messageGo to next message
Algorythmis Sigma is currently offline Algorythmis SigmaFriend
Messages: 3
Registered: June 2016
Junior Member
I only downloaded the Eclipse installer, then used it to install java-mars and php-mars. I think updating has to do with the "!" at the top right corner of the installer. I'm going to try updating, then reinstalling java-mars and php-mars.

eclipse/eclipse.ini contains this :
-startup
../../../../home/sasukz/.p2/pool/plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
--launcher.library
../../../../home/sasukz/.p2/pool/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.300.v20150602-1417
-product
org.eclipse.epp.package.java.product
--launcher.defaultAction
openFile
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
--launcher.appendVmargs
-install
/opt/eclipse/java-mars/eclipse
-vm
/opt/jdk1.8.0_92/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.7
-XX:MaxPermSize=256m
-Xms256m
-Xmx1024m
-Declipse.p2.max.threads=10
-Doomph.update.url=http://download.eclipse.org/oomph/updates/milestone/latest
-Doomph.redirection.index.redirection=index:/->http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/

[Updated on: Wed, 22 June 2016 18:15]

Report message to a moderator

Re: Can't open Eclipse java-mars on Ubuntu x64 [message #1735794 is a reply to message #1735792] Wed, 22 June 2016 18:25 Go to previous messageGo to next message
Algorythmis Sigma is currently offline Algorythmis SigmaFriend
Messages: 3
Registered: June 2016
Junior Member
Updating installer solved the problem.

Thanks,
A.

[Updated on: Wed, 22 June 2016 18:25]

Report message to a moderator

Re: Can't open Eclipse java-mars on Ubuntu x64 [message #1735810 is a reply to message #1735792] Wed, 22 June 2016 22:03 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29545
Registered: July 2009
Senior Member
I wonder do you have write permission for the folder
/opt/eclipse/java-mars/eclipse?

It looks like you're perhaps installing into a location that for the
user is read only, and using an installation based on a bundle pool...

Neon is just released and the installer (and Oomph) have been enhanced
to support read-only pooled installations.

Please try installing Neon with the Neon installer. Hopefully that
fixes any problems you're having.


On 22.06.2016 14:12, Algorythmis Sigma wrote:
> I only downloaded the Eclipse installer, then used it to install
> java-mars and php-mars. I think updating has to do with the "!" at the
> top right corner of the installer. I'm going to try updating, then
> reinstalling java-mars and php-mars.
>
> eclipse/eclipse.ini contains this :
> -startup
> ./../../../home/sasukz/.p2/pool/plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
>
> --launcher.library
> ./../../../home/sasukz/.p2/pool/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.300.v20150602-1417
>
> -product
> org.eclipse.epp.package.java.product
> --launcher.defaultAction
> openFile
> -showsplash
> org.eclipse.platform
> --launcher.XXMaxPermSize
> 256m
> --launcher.defaultAction
> openFile
> --launcher.appendVmargs
> -install
> /opt/eclipse/java-mars/eclipse
> -vm
> /opt/jdk1.8.0_92/bin/java
> -vmargs
> -Dosgi.requiredJavaVersion=1.7
> -XX:MaxPermSize=256m
> -Xms256m
> -Xmx1024m
> -Declipse.p2.max.threads=10
> -Doomph.update.url=http://download.eclipse.org/oomph/updates/milestone/latest
>
> -Doomph.redirection.index.redirection=index:/->http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/
>
>
> There isn't any .ini file in the ~/.eclipse folder
Re: [SOLVED] Can't open Eclipse java-mars on Ubuntu x64 [message #1794118 is a reply to message #1735657] Thu, 23 August 2018 23:15 Go to previous message
Ryan Wolfe is currently offline Ryan WolfeFriend
Messages: 1
Registered: August 2018
Junior Member
I'm getting same errors, have reinstalled multiple times. Here are my logs. How do I fix this? I also am getting a "Java 64-bit server warning: ignoring option MaxPermSize = 256, support was removed in 8" error in the terminal when finding the eclipse version. I'm using eclipse 4.70 (oxygen) and java version 1.8.0_181. Can you help me fix this please? :))))))))

the log in ~./eclipse/.../configuration
!SESSION Thu Aug 23 15:58:45 PDT 2018 ------------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2018-08-23 15:58:45.890
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:626)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
at org.eclipse.equinox.launcher.Main.main(Main.java:1414)

config.ini log
#This configuration file was written by: org.eclipse.oomph.p2.internal.core.AgentImpl
#Wed Aug 22 19:16:40 PDT 2018
org.eclipse.update.reconcile=false
eclipse.p2.profile=_home_ryan_eclipse_cpp-oxygen_eclipse
osgi.instance.area.default=@user.home/workspace
osgi.framework=file\:/home/ryan/.p2/pool/plugins/org.eclipse.osgi_3.12.100.v20180210-1608.jar
equinox.use.ds=true
eclipse.buildId=4.7.3.M20180330-0640
ds.delayed.keepInstances=true
osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.2.1.v20180131-1435.jar@1\:start
org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.eclipse.equinox.simpleconfigurator/bundles.info
eclipse.product=org.eclipse.platform.ide
osgi.splashPath=file\:/home/ryan/.p2/pool/plugins/org.eclipse.platform_4.7.3.v20180330-0640
osgi.framework.extensions=reference\:file\:org.eclipse.osgi.compatibility.state_1.1.0.v20170516-1513.jar
eclipse.application=org.eclipse.ui.ide.workbench
eclipse.p2.data.area=file\:/home/ryan/.p2/
osgi.bundles.defaultStartLevel=4
Previous Topic:Does Eclipse Photon Work on Redhat Linux 7?
Next Topic:Hello everyone! quick question
Goto Forum:
  


Current Time: Sat Sep 22 09:07:17 GMT 2018

Powered by FUDForum. Page generated in 0.02400 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top